package com.bocloud.cmp.model;

/**
 * xsky 对象路由
 *
 * @author admin
 */
public class XskyObjectRouterModel {
    private String name;
    private Long objectRouterId = null;
    private String objectRouterName = null;
    private String ip = null;
    private Long port = null;
    private String status = null;
    private String description = null;
    private Long httpsPort = null;
    private String interfaceName = null;
    private String vip = null;
    private Long vipMask = null;
    private String vips = null;
    private String hostAdminIp;
    private Long hostId;
    private String hostName;
    private String groupName;
    private Long groupId;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getHttpsPort() {
        return httpsPort;
    }

    public void setHttpsPort(Long httpsPort) {
        this.httpsPort = httpsPort;
    }

    public Long getObjectRouterId() {
        return objectRouterId;
    }

    public void setObjectRouterId(Long objectRouterId) {
        this.objectRouterId = objectRouterId;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getObjectRouterName() {
        return objectRouterName;
    }

    public void setObjectRouterName(String objectRouterName) {
        this.objectRouterName = objectRouterName;
    }

    public Long getPort() {
        return port;
    }

    public void setPort(Long port) {
        this.port = port;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getVip() {
        return vip;
    }

    public void setVip(String vip) {
        this.vip = vip;
    }

    public Long getVipMask() {
        return vipMask;
    }

    public void setVipMask(Long vipMask) {
        this.vipMask = vipMask;
    }

    public String getVips() {
        return vips;
    }

    public void setVips(String vips) {
        this.vips = vips;
    }

    public String getHostAdminIp() {
        return hostAdminIp;
    }

    public void setHostAdminIp(String hostAdminIp) {
        this.hostAdminIp = hostAdminIp;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
